# Get data points data for kubernetes data source

Endpoint: POST /v1/data-sources/kubernetes/data-point/values
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Request fields (application/json):

  - `request` (object)
    Kubernetes data source config

  - `request.clusters` (array)

  - `request.clusters.url` (string)

  - `request.clusters.token` (string)

  - `request.clusters.name` (string)

  - `request.label_selector` (string)

  - `request.namespace` (string)

  - `request.data_source_location` (object)
    Data Source Location Info for request

  - `request.data_source_location.data_points` (array, required)

  - `request.data_source_location.data_points.data_point_identifier` (string, required)

  - `request.data_source_location.data_points.data_source_identifier` (string)

  - `request.data_source_location.data_points.input_values` (array)

  - `request.data_source_location.data_points.input_values.key` (string, required)

  - `request.data_source_location.data_points.input_values.value` (string, required)

## Response 200 fields (application/json):

  - `resource` (object, required)


